curl --request GET \
--url https://api.alpha-1edtech.ai/ims/oneroster/rostering/v1p2/courses/components/{sourcedId} \
--header 'Authorization: Bearer <token>'{
"courseComponent": {
"status": "active",
"course": {
"sourcedId": "<string>"
},
"title": "<string>",
"sortOrder": 1,
"unlockDate": "2021-01-01T00:00:00.000Z",
"sourcedId": "<string>",
"dateLastModified": "2023-11-07T05:31:56Z",
"metadata": {},
"courseComponent": {
"sourcedId": "<string>"
},
"parent": {
"sourcedId": "<string>"
},
"prerequisites": [
"<string>"
],
"prerequisiteCriteria": "<string>"
}
}Get a specific Course Component on the service provider. If the corresponding record cannot be located, the api will return a 404 error code and message ‘Course Component not found.’
curl --request GET \
--url https://api.alpha-1edtech.ai/ims/oneroster/rostering/v1p2/courses/components/{sourcedId} \
--header 'Authorization: Bearer <token>'{
"courseComponent": {
"status": "active",
"course": {
"sourcedId": "<string>"
},
"title": "<string>",
"sortOrder": 1,
"unlockDate": "2021-01-01T00:00:00.000Z",
"sourcedId": "<string>",
"dateLastModified": "2023-11-07T05:31:56Z",
"metadata": {},
"courseComponent": {
"sourcedId": "<string>"
},
"parent": {
"sourcedId": "<string>"
},
"prerequisites": [
"<string>"
],
"prerequisiteCriteria": "<string>"
}
}Documentation Index
Fetch the complete documentation index at: https://docs.timeback.com/llms.txt
Use this file to discover all available pages before exploring further.
The access token received from the authorization server in the OAuth 2.0 flow.
The sourcedId of the course component
Comma-separated list of fields to include in the response
"sourcedId,name"
Single Course Component
Represents a component of a course.
Show child attributes